package de.ix.lack;


import com.fasterxml.jackson.annotation.JsonProperty;

public class DataModel {
    private String name;

    /** Intensität Punktlicht. */
    @JsonProperty("ipl")
    private float[] pointLightCol = new float[]{0.72f,0.78f,0.5f};
    /** Intensität ambientes Licht */
    @JsonProperty("ial")
    private float[] ambientCol = new float[]{0.0f,0.13f,1.0f};
    /** Objektfarbe Schlaglicht. */
    @JsonProperty("os")
    private float[] specularCol = new float[]{0.58f,0.88f,0.27f};
    /** Objekt diffuse farbe. */
    @JsonProperty("od")
    private float[] diffuseCol = new float[]{1.0f,0.63f,0.75f};
    /** Koeffizienten. */
    @JsonProperty("ka")
    private float ambientCoefficient = 0.75f;
    @JsonProperty("kd")
    private float diffuseCoefficient = 0.9f;
    @JsonProperty("ks")
    private float specularCoefficient = 1.0f;
    @JsonProperty("power")
    private float specularExponent = 2.0f;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public float[] getPointLightCol() {
        return pointLightCol;
    }

    public void setPointLightCol(float[] pointLightCol) {
        this.pointLightCol = pointLightCol;
    }

    public float[] getAmbientCol() {
        return ambientCol;
    }

    public void setAmbientCol(float[] ambientCol) {
        this.ambientCol = ambientCol;
    }

    public float[] getSpecularCol() {
        return specularCol;
    }

    public void setSpecularCol(float[] specularCol) {
        this.specularCol = specularCol;
    }

    public float[] getDiffuseCol() {
        return diffuseCol;
    }

    public void setDiffuseCol(float[] diffuseCol) {
        this.diffuseCol = diffuseCol;
    }

    public float getAmbientCoefficient() {
        return ambientCoefficient;
    }

    public void setAmbientCoefficient(float ambientCoefficient) {
        this.ambientCoefficient = ambientCoefficient;
    }

    public float getDiffuseCoefficient() {
        return diffuseCoefficient;
    }

    public void setDiffuseCoefficient(float diffuseCoefficient) {
        this.diffuseCoefficient = diffuseCoefficient;
    }

    public float getSpecularCoefficient() {
        return specularCoefficient;
    }

    public void setSpecularCoefficient(float specularCoefficient) {
        this.specularCoefficient = specularCoefficient;
    }

    public float getSpecularExponent() {
        return specularExponent;
    }

    public void setSpecularExponent(float specularExponent) {
        this.specularExponent = specularExponent;
    }
}
